org.keycloak.truststore

## Class FileTruststoreProvider

- java.lang.Object
- - org.keycloak.truststore.FileTruststoreProvider

- All Implemented Interfaces:
    Provider, TruststoreProvider

      public class FileTruststoreProvider
      extends Object
      implements TruststoreProvider

  Author:
    Marko Strukelj

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Map<X500Principal,X509Certificate>` | `getIntermediateCertificates()`
    `HostnameVerificationPolicy` | `getPolicy()`
    `Map<X500Principal,X509Certificate>` | `getRootCertificates()`
    `SSLSocketFactory` | `getSSLSocketFactory()`
    `KeyStore` | `getTruststore()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPolicy

          public HostnameVerificationPolicy getPolicy()

      Specified by:
        `getPolicy` in interface `TruststoreProvider`

    - #### getSSLSocketFactory

          public SSLSocketFactory getSSLSocketFactory()

      Specified by:
        `getSSLSocketFactory` in interface `TruststoreProvider`

    - #### getTruststore

          public KeyStore getTruststore()

      Specified by:
        `getTruststore` in interface `TruststoreProvider`

    - #### getRootCertificates

          public Map<X500Principal,X509Certificate> getRootCertificates()

      Specified by:
        `getRootCertificates` in interface `TruststoreProvider`
      Returns:
        root certificates from the configured truststore as a map where the key is the X500Principal of the corresponding X509Certificate

    - #### getIntermediateCertificates

          public Map<X500Principal,X509Certificate> getIntermediateCertificates()

      Specified by:
        `getIntermediateCertificates` in interface `TruststoreProvider`
      Returns:
        intermediate certificates from the configured truststore as a map where the key is the X500Principal of the corresponding X509Certificate

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.